wordpress

[FYI] CentOS8 + OpenLiteSpeed 1.6.15 +mariadb 10.5 + php 7.4.8 で このWordPressを移植してみる(テスト)

  • by

Apacheの時代は終わった…? 最近は nginx がシェアを伸ばし、とうとう Apache と逆転したのだとか。これも時代ですね。Apacheは高機能な反面、肥大化しすぎていて太りすぎてしまい、結果メモリ使用量は多く… 続きを読む »[FYI] CentOS8 + OpenLiteSpeed 1.6.15 +mariadb 10.5 + php 7.4.8 で このWordPressを移植してみる(テスト)

まとめサイトのウザい広告をブロック

  • by

まとめサイトの広告。 最近ツイッターとかでもとにかくまとめサイトまとめサイト。いや、判るんですよ。自分で情報を探すより、まとめサイトを見た方が楽だし時間短縮にもなりますもんね。結果、企業からお金をもらって意図的な記事を書… 続きを読む »まとめサイトのウザい広告をブロック

このファイルタイプはセキュリティの観点から許可されていません。

ある日突然、Wordpressでファイルをアップロードしたら、こんなエラーを吐いた。「このファイルタイプはセキュリティの観点から許可されていません。」   ずっと問題無く利用できていたのに。調べて見ると、4.7… 続きを読む »このファイルタイプはセキュリティの観点から許可されていません。

WordPress 1.5.1.3 -> 2.0.2 移行トラブル

当ブログは、WordPress Me ver 1.5.1.3 を利用しています。
とりあえず、テストで導入してみようとサブドメインを作ってインストールを試みたのですが、以下のようなエラーがでてしまい、ログインができません。

Warning: Invalid argument supplied for foreach() in
/wp-includes/capabilities.php on line 19

対策方法として、http://www.dzxr.com/blog/?p=174があるようですが、翻訳片手にやってみましたところ、正常動作とは程遠い状況でした。

このサーバの環境は、windows2000 server + apache 2.0.55 + php 4.4.1 + mysql 4.0.20a-nt と特殊なため、通常の upgrade.php ではアップグレードもうまくいかないようです。

とりあえずアップデートさせる事だけはできましたが、運用上支障があったため、あくまで情報という形で記載しておきます。この方法を用いて移行をしても、うまくいかない可能性が高いので、あくまでDo it Yourself (自己責任)でお願い致します。

ちなみに、動作させた状態のテストサイトは
http://test.nakoruru.jp/ です。

[WP]自分のディスカッション設定

  • by

最近トラックスパムが多いのですが、9.9割は防げているようです。
というわけで、自分のWPディスカッション設定を公開。